Subject: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Dmitry Gutov <[email-masked]>
Date: Wed, 4 Mar 2020 13:51:38 +0200

On 04.03.2020 1:27, Juri Linkov wrote:
>>> But the command has more unsolved issues:
>>> 1. command name - the most natural name would be vc-root-dir,
>>>      but this name is already taken by a non-interactive function.
>>
>> vc-dir-quick was my idea.
> 
> This name implies its implementation has better performance
> over its slower competitor.

vc-dir-instant?

>> I'm saying both the option name and the first sentence of the docstring
>> don't fit its purpose, or the later description.
> 
> This option is multi-purpose and one of its possible values is:
> 
>    When a string and `vc-dir' is invoked in a directory outside of
>    version control, then this string is used as a default directory name.

You got a point there, but that seems like a rare use case (not sure who 
would ever use it). I think the variable would be better named after its 
main use scenario.